Bug 189710 - dual head option for i810 makes unworkable xorg.conf
dual head option for i810 makes unworkable xorg.conf
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-23 13:14 EDT by Dave Mitchell
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:15:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Mitchell 2006-04-23 13:14:41 EDT
Description of problem:

After using system-config-display to add a dual-head config (internal LCD,
external CRT) to my laptop, X failed to start, giving

(EE) I810(0): You must have a MonitorLayout defined for use in a DualHead or
Clone setup.

After a bit of googling, I found that adding the following line to both "Device"
sections solved the problem:

        Option      "MonitorLayout" "CRT,LFP"

This is an i810-driver specifc option. I'm not sure whether the the correct
fix is for system-config-display to add this option to xorg.conf, or whether
the driver should be able to use a sensible default; but the currewnt situation
of breaking the X server isn't good.

Version-Release number of selected component (if applicable):

system-config-display-1.0.37-2

How reproducible:

run system-config-display; dual headl tick use dual head; configure monitory;
select generic CRT 1280x1024; dedktop layout: spanning desktops; then logout and
log back in.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

X gives error and refuses to start

Expected results:

X starting

Additional info:
Comment 1 Marcin Zajaczkowski 2007-04-12 14:45:12 EDT
This is caused by a bug in i810 driver. It's fixed in xorg-x11-drv-i810 version
1.7.4 (https://bugs.freedesktop.org/show_bug.cgi?id=8536).

I had to compile it by hand on fc6. In a rawhide there is still 1.6.5. 
When a never version of that driver will be in Fedora?
Comment 2 Marcin Zajaczkowski 2007-04-12 14:51:09 EDT
The previous comment should be for a bug 211820 . This problem could be also
related with old driver, but it hasn't to.
Comment 3 Matěj Cepl 2007-07-03 09:49:28 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matěj Cepl 2007-08-03 09:15:38 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.